import styled from 'styled-components';
import { FontSize } from '../../CodeSnippet.types';
export var FONT_SIZE_DEFAULT = FontSize.SMALL;
export var LINE_HEIGHT_DEFAULT = 17;
export var ICON_CLASSNAME = 'copy';
export var ContentIconWrapper = styled.div.withConfig({
  displayName: "SingleCodestyles__ContentIconWrapper",
  componentId: "sc-1l78lb-0"
})(["display:flex;justify-content:space-between;align-items:center;"]);
export var CodeSnippetWrapperSingle = styled.div.withConfig({
  displayName: "SingleCodestyles__CodeSnippetWrapperSingle",
  componentId: "sc-1l78lb-1"
})(["&{height:100%;background-color:", ";border-radius:3px;padding:12px 8px 0 12px;.content-animation{position:relative;}", ";}.copy{cursor:pointer;background-color:", ";svg{fill:", ";}}.copy:hover{svg{fill:", ";}}"], function (props) {
  return props.theme.palette['grey-100'];
}, function (props) {
  return !!props.fontSize && "\n        padding-top: " + (props.fontSize === FontSize.SMALL ? '4px' : '12px') + ";\n        padding-bottom: " + (props.fontSize === FontSize.SMALL ? '4px' : '12px') + ";\n    ";
}, function (props) {
  return props.theme.palette['grey-100'];
}, function (props) {
  return props.theme.palette['grey-400'];
}, function (props) {
  return props.theme.palette['blue-600'];
});
export var BlockCodeWrapperSingle = styled.code.withConfig({
  displayName: "SingleCodestyles__BlockCodeWrapperSingle",
  componentId: "sc-1l78lb-2"
})(["&{display:block;font-family:'IBM Plex Mono Regular',monospace;font-size:", ";line-height:", "px;color:", ";", ";}"], function (props) {
  return (props.fontSize || FONT_SIZE_DEFAULT) + "px";
}, LINE_HEIGHT_DEFAULT, function (props) {
  return props.theme.palette["grey-600"];
}, function (props) {
  return !!props.fontSize && "\n      padding-right: 4px;\n      line-height:24px;\n      ";
});